Bug 1419814 - [ceph-ansible] no value is set to the key 'ms bind ipv6' in config file during ipv6 cluster creation
Summary: [ceph-ansible] no value is set to the key 'ms bind ipv6' in config file durin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: ceph-ansible
Version: 2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2
Assignee: Sébastien Han
QA Contact: Vasishta
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 06:45 UTC by Vasishta
Modified: 2017-03-14 15:54 UTC (History)
13 users (show)

Fixed In Version: ceph-ansible-2.1.7-1.el7scon
Doc Type: Bug Fix
Doc Text:
Previously, during the creation of Ceph clusters with nodes that use IPv6 addressing, ceph-ansible added the "ms bind ipv6" key to the Ceph configuration file, but it did not assign any value to it. This behavior caused an error when parsing the configuration file after the cluster creation. With this update, the "ms bind ipv6" key is properly set in the Ceph configuration file allowing for proper configuration file parsing on clusters that use IPv6 addressing.
Clone Of:
Environment:
Last Closed: 2017-03-14 15:54:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0515 0 normal SHIPPED_LIVE Important: ansible and ceph-ansible security, bug fix, and enhancement update 2017-04-18 21:12:31 UTC

Description Vasishta 2017-02-07 06:45:00 UTC
Description of problem:
Config file parsing is creating an issue on ipv6 cluster for not assigning a value to a variable in config file.

The line containing 'ms bind ipv6' in global section of config file is causing parsing issue.

Version-Release number of selected component (if applicable):
10.2.5-21

How reproducible:
Always

Steps to Reproduce:
1. Create a cluster of ipv6 machines.
2. Run any ceph commands

Actual results:

$sudo ceph osd tree --cluster 2_2_on_7_3
2017-02-07 06:41:57.446736 7f681e61a700 -1 Errors while parsing config file!
2017-02-07 06:41:57.446740 7f681e61a700 -1 end of key=val line 4 reached, no "=val" found...missing =?
ID WEIGHT  TYPE NAME         UP/DOWN REWEIGHT PRIMARY-AFFINITY 
-1 8.09541 root default                                        
-2 2.69847     host magna068                                   
 2 0.89949         osd.2          up  1.00000          1.00000 
 5 0.89949         osd.5          up  1.00000          1.00000 
 7 0.89949         osd.7          up  1.00000          1.00000 
-3 2.69847     host magna042                                   
 0 0.89949         osd.0          up  1.00000          1.00000 
 3 0.89949         osd.3          up  1.00000          1.00000 
 6 0.89949         osd.6          up  1.00000          1.00000 
-4 2.69847     host magna033                                   
 1 0.89949         osd.1          up  1.00000          1.00000 
 4 0.89949         osd.4          up  1.00000          1.00000 
 8 0.89949         osd.8          up  1.00000          1.00000 


Expected results:

$sudo ceph osd tree --cluster 2_2_on_7_3
ID WEIGHT  TYPE NAME         UP/DOWN REWEIGHT PRIMARY-AFFINITY 
-1 8.09541 root default                                        
-2 2.69847     host magna068                                   
 2 0.89949         osd.2          up  1.00000          1.00000 
 5 0.89949         osd.5          up  1.00000          1.00000 
 7 0.89949         osd.7          up  1.00000          1.00000 
-3 2.69847     host magna042                                   
 0 0.89949         osd.0          up  1.00000          1.00000 
 3 0.89949         osd.3          up  1.00000          1.00000 
 6 0.89949         osd.6          up  1.00000          1.00000 
-4 2.69847     host magna033                                   
 1 0.89949         osd.1          up  1.00000          1.00000 
 4 0.89949         osd.4          up  1.00000          1.00000 
 8 0.89949         osd.8          up  1.00000          1.00000

Comment 5 Vasishta 2017-02-07 09:12:11 UTC
Description -
During creation of cluster with ipv6 nodes, 'ms bind ipv6' key is getting added in the configuration file without getting assigned any value. This creates error while parsing the config file after cluster creation. 

version: ceph-ansible-2.1.6-1.el7scon.noarch

Comment 7 Andrew Schoen 2017-02-07 18:39:16 UTC
PR opened upstream: https://github.com/ceph/ceph-ansible/pull/1285

Comment 8 seb 2017-02-08 15:27:06 UTC
This will be fixed upstream with the tag 2.1.7 which will likely appear as ceph-ansible-2.1.7-1.el7scon.noarch downstream soon.

Comment 12 errata-xmlrpc 2017-03-14 15:54:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0515


Note You need to log in before you can comment on or make changes to this bug.